[2.0.13] phpBB 2.0.13 to 2.0.14 Code Changes

All new MODs released in our MOD Database will be announced in here. All support for released MODs needs to take place in here. No new MODs will be accepted into the MOD Database for phpBB2
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

On February 1, 2009 this forum will be set to read only as part of retiring of phpBB2.

Rating:

Excellent!
81
71%
Very Good
12
11%
Good
10
9%
Fair
2
2%
Poor
9
8%
 
Total votes: 114

sonyboy
Registered User
Posts: 2980
Joined: Thu Oct 07, 2004 2:10 am

Post by sonyboy » Sat Apr 16, 2005 7:44 am

van_Gogh wrote: i've got a small question:
in the changed files package from .13 to .14 there is also a changed file in the templates (/subSilver/login_body.tpl) which is not included in this mod. as far as i can see, there is only

Code: Select all

class="post"
added twice. is this anything essential that should be changed too?


That part is related to security issue? Cause I just been to a topic where someone has mentioned about that login tpl.

BlueRook
Registered User
Posts: 2892
Joined: Wed Mar 10, 2004 2:38 am

Post by BlueRook » Sat Apr 16, 2005 8:43 am

sonyboy wrote: Hey, thanks, but the only database change is the version No. right?


That is correct.

skuipers
Registered User
Posts: 648
Joined: Sun Jan 16, 2005 9:53 pm
Location: Delft, The Netherlands

Small error in mod?

Post by skuipers » Sat Apr 16, 2005 9:47 am

Did I discover a small error in the mod?

The mod code is:

Code: Select all

privmsg.php

#
#-----[ FIND ]---------------------------------------------
# Line 566
	if ( !$board_config['allow_html'] )
 	{
		if ( $user_sig != '' && $privmsg['privmsgs_enable_sig'] && $userdata['user_allowhtml'] )
while my code (2.0.13 version, 27/02/2005) reads as follows:

Code: Select all

	if ( !$board_config['allow_html'] )
	{
		if ( $user_sig != '' && $privmsg['privmsgs_enable_sig'] && $userdata['user_allowhtml'] )
It looks to be the same, but it is not. There is an extra space in the mod code on the line with the { .
Last edited by skuipers on Sat Apr 16, 2005 9:55 am, edited 1 time in total.

JJX2
Registered User
Posts: 80
Joined: Mon Feb 14, 2005 1:08 pm

Post by JJX2 » Sat Apr 16, 2005 9:50 am

thx a lot!!! ;)
This is the only way to update my heavily modded forum.

TheYoMan
Registered User
Posts: 19
Joined: Sat Mar 12, 2005 12:41 am

Post by TheYoMan » Sat Apr 16, 2005 10:13 am

hello,

First, thank you for this mod.

I had made the changes in files and I had upload. But when I ran the "update_to_latest.php" files I have this error message :

Code: Select all

Warning: main(): Unable to access ./../extension.inc in /var/www/.../forum/update_to_latest.php on line 46

Warning: main(./../extension.inc): failed to open stream: No such file or directory in /var/www/.../forum/update_to_latest.php on line 46

Warning: main(): Failed opening './../extension.inc' for inclusion (include_path='/var/www/.../include:.') in /var/www/.../forum//update_to_latest.php on line 46

Warning: main(): Unable to access ./../config. in /var/www/.../forum/update_to_latest.php on line 47

Warning: main(./../config.): failed to open stream: No such file or directory in /var/www/.../forum/update_to_latest.php on line 47

Warning: main(): Failed opening './../config.' for inclusion (include_path='/var/www/.../include:.') in /var/www/.../forum/update_to_latest.php on line 47
Please read: INSTALL.html before attempting to update.
Have you an idea to help me to solve this problem please ?

(escuse me for my poor english ;) )
Last edited by TheYoMan on Sat Apr 16, 2005 11:07 am, edited 1 time in total.

timo_w2s
Registered User
Posts: 5
Joined: Thu May 13, 2004 1:38 pm
Location: Chalfonts, UK
Contact:

Post by timo_w2s » Sat Apr 16, 2005 10:18 am

Make sure update_to_latest.php is run from the /install/ directory.

TheYoMan
Registered User
Posts: 19
Joined: Sat Mar 12, 2005 12:41 am

Post by TheYoMan » Sat Apr 16, 2005 10:23 am

timo_w2s wrote: Make sure update_to_latest.php is run from the /install/ directory.


yes it's ok ;)
I tried to ran it from root... with this error above ;)... putting the files in "install" folder solve this problem and all ran fine.

Thank's for your help ;)

jollyred
Registered User
Posts: 4
Joined: Fri Apr 08, 2005 6:54 am

Question about update_to_XXX vs update_to_latest files.

Post by jollyred » Sat Apr 16, 2005 11:19 am

Hello,

First, thanks a ton for providing these MODs. I run a 2.0.6 board that I have heavily customized to integrate with my site's user management system but now need to upgrade in order to implement all of the security patches for the past 8 point releases. (I've now been hacked twice... so it is time to bite the bullet and just do it).

I am in the process of manually upgrading my 2.0.6 forum to 2.0.14 and have a quick question.

In the instructions for upgrading for all but the last few incremental upgrades, the last step is to run the update_to_XXX.php file.

I see that in the latest MOD, this has been changed to update_to_latest.php.

My question is: Do I need to run this update_to_XXX after each incremental upgrade? Or can I do all of the upgrades first and then run the update_to_latest.php at the end?

I am hoping that I will be able to just run the _latest file at the end... However, if I need to do each one individually, where can I get the old update_to_XXX files as they are no longer included in the download packages?

Thanks again,

jollyred

Cross_+_Flame
Registered User
Posts: 295
Joined: Wed Oct 30, 2002 3:37 pm
Location: Okie-homa!
Contact:

Post by Cross_+_Flame » Sat Apr 16, 2005 11:29 am

Thanks Acyd! :D Another excellent helper to the modder community!

Andreas W.
Registered User
Posts: 17
Joined: Sun Jun 13, 2004 2:31 pm

Post by Andreas W. » Sat Apr 16, 2005 11:46 am

chadsmith wrote: Yep I figured you'd get this up right as I finish patching. :lol:


I second that ;-)
Anyway, thanks for the fast supply of the code changes.

MarcN
Registered User
Posts: 193
Joined: Sun Mar 20, 2005 9:17 am
Location: From the Netherlands
Contact:

Post by MarcN » Sat Apr 16, 2005 12:40 pm

Nice :D
Sorry, for my bad English :cry:

Keva
Registered User
Posts: 101
Joined: Mon Mar 28, 2005 12:21 pm
Contact:

Post by Keva » Sat Apr 16, 2005 12:45 pm

sorry for sounding like a complete noob but what do these code changed do? ive not upgraded my board to 2.0.14 yet so whats the differance between the upgraded files and this?

skuipers
Registered User
Posts: 648
Joined: Sun Jan 16, 2005 9:53 pm
Location: Delft, The Netherlands

Post by skuipers » Sat Apr 16, 2005 1:00 pm

We cannot tell it better than Acyd Burn did it yesterday.

Reliable
Registered User
Posts: 106
Joined: Sat May 01, 2004 3:05 pm
Location: New York, NY, USA
Contact:

Post by Reliable » Sat Apr 16, 2005 1:09 pm

sonyboy wrote:
van_Gogh wrote:i've got a small question:
in the changed files package from .13 to .14 there is also a changed file in the templates (/subSilver/login_body.tpl) which is not included in this mod. as far as i can see, there is only

Code: Select all

class="post"
added twice. is this anything essential that should be changed too?


That part is related to security issue? Cause I just been to a topic where someone has mentioned about that login tpl.

No, this change has nothing to do with security issue. It has to do with the background color of the box where you type your username and your password. If you change the color (from white to something else) from your .css file for the class post, the background on the login will remain white (which shouldn't). The class="post" will fix this.
"God is reliable, Rely on Him you will not fail" - Reliable
"God has not ceased to talk but we ceased to listen" - Reliable

Kajun
Registered User
Posts: 40
Joined: Mon Feb 18, 2002 4:09 pm
Location: Bonnybridge, Scotland
Contact:

Post by Kajun » Sat Apr 16, 2005 1:19 pm

Much appreciated Acyd and the phpBB devs. :)
Kajun

Post Reply

Return to “[2.0.x] MOD Database Releases”